import request from '@/utils/request'

// 查询润滑部位信息列表
export function listLubeStation(query) {
  return request({
    url: '/dms/lubeStation/list',
    method: 'get',
    params: query
  })
}

// 查询润滑部位信息详细
export function getLubeStation(lubeStationId) {
  return request({
    url: '/dms/lubeStation/' + lubeStationId,
    method: 'get'
  })
}

// 新增润滑部位信息
export function addLubeStation(data) {
  return request({
    url: '/dms/lubeStation',
    method: 'post',
    data: data
  })
}

// 修改润滑部位信息
export function updateLubeStation(data) {
  return request({
    url: '/dms/lubeStation',
    method: 'put',
    data: data
  })
}

// 删除润滑部位信息
export function delLubeStation(lubeStationId) {
  return request({
    url: '/dms/lubeStation/' + lubeStationId,
    method: 'delete'
  })
}
